Kerbal Space Program - Bug #4228

Fuel Crossfeed only works through one docking port when docked using multiple ports.
03/07/2015 12:07 AM - andreas45

Status: Closed Start date: 03/07/2015
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.90 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

When creating a ship with a section connected with multiple docking ports, only one of the ports (The first port make contact when
docking, or the originally attached port in the VAB) will crossfeed fuel as expected.

If fuel is being routed from one port (such as by using a fuel line) but not the other(s), the routing will not work unless the desired port
is docked/attached first.

I've attached some screen shots demonstrating fuel being routed from one port successfully, and another demonstrating it being
unsuccesfully routed from the other port (despite a setup where the routing should work).

I'm running KSP on Mint 17 (Ubuntu 14.04).

History
#1 - 03/09/2015 11:41 PM - moxian
It is known http:/forum.kerbalspaceprogram.com/threads/64362

Not sure if it's intended, though

#2 - 07/17/2016 09:27 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 08/09/2016 01:14 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
